services:
  backend:
    image: node:22-alpine
    container_name: annaville-backend
    restart: unless-stopped
    working_dir: /app
    volumes:
      - ./:/app
    ports:
      - "3070:3070"
    command: sh -c "npm install && npm run start:server"
    networks:
      - annaville-network

networks:
  annaville-network:
    driver: bridge